com.thinkaurelius.titan.graphdb.schema

## Class SchemaContainer

- java.lang.Object
- - com.thinkaurelius.titan.graphdb.schema.SchemaContainer

- All Implemented Interfaces:
    SchemaProvider

      public class SchemaContainer
      extends Object
      implements SchemaProvider

  Author:
    Matthias Broecheler (me@matthiasb.com)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SchemaContainer(TitanGraph graph)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `containsRelationType(String name)`
    `boolean` | `containsVertexLabel(String name)`
    `EdgeLabelDefinition` | `getEdgeLabel(String name)`
    `Iterable<EdgeLabelDefinition>` | `getEdgeLabels()`
    `PropertyKeyDefinition` | `getPropertyKey(String name)`
    `Iterable<PropertyKeyDefinition>` | `getPropertyKeys()`
    `RelationTypeDefinition` | `getRelationType(String name)`
    `VertexLabelDefinition` | `getVertexLabel(String name)`
    `Iterable<VertexLabelDefinition>` | `getVertexLabels()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SchemaContainer

          public SchemaContainer(TitanGraph graph)

  - ### Method Detail

    - #### getVertexLabels

          public Iterable<VertexLabelDefinition> getVertexLabels()

    - #### getVertexLabel

          public VertexLabelDefinition getVertexLabel(String name)

      Specified by:
        `getVertexLabel` in interface `SchemaProvider`

    - #### containsVertexLabel

          public boolean containsVertexLabel(String name)

    - #### getPropertyKeys

          public Iterable<PropertyKeyDefinition> getPropertyKeys()

    - #### getEdgeLabels

          public Iterable<EdgeLabelDefinition> getEdgeLabels()

    - #### getRelationType

          public RelationTypeDefinition getRelationType(String name)

      Specified by:
        `getRelationType` in interface `SchemaProvider`

    - #### containsRelationType

          public boolean containsRelationType(String name)

    - #### getEdgeLabel

          public EdgeLabelDefinition getEdgeLabel(String name)

      Specified by:
        `getEdgeLabel` in interface `SchemaProvider`

    - #### getPropertyKey

          public PropertyKeyDefinition getPropertyKey(String name)

      Specified by:
        `getPropertyKey` in interface `SchemaProvider`

Copyright © 2012–2014. All rights reserved.